Loading...
Searching...
No Matches
RootNode< ChildT >::ValueIterator Class Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions

| ValueIterator ()
| ValueIterator (const RootNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
ValueType | operator* () const
bool | isActive () const
Coord | getOrigin () const
Coord | getCoord () const
| operator bool () const
ValueIterator & | operator++ ()
ValueIterator | operator++ (int)
uint32_t | pos () const

## Constructor & Destructor Documentation

## ValueIterator() [1/2]

template<typename ChildT >

ValueIterator | ( |  | ) |

inline

## ValueIterator() [2/2]

template<typename ChildT >

ValueIterator | ( | const RootNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT >

Coord getCoord | ( |  | ) | const

inline

## getOrigin()

template<typename ChildT >

Coord getOrigin | ( |  | ) | const

inline

## isActive()

template<typename ChildT >

bool isActive | ( |  | ) | const

inline

## operator bool()

template<typename ChildT >

operator bool | ( |  | ) | const

inline

## operator*()

template<typename ChildT >

ValueType operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename ChildT >

ValueIterator & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename ChildT >

ValueIterator operator++ | ( | int |  | ) |

inline

## operator=()

template<typename ChildT >

ValueIterator & operator= | ( | const ValueIterator & |  | ) |

default

## pos()

template<typename ChildT >

uint32_t pos | ( |  | ) | const

inline